Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: pdumodel::TransferSwitch::Sensors Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::TransferSwitch::Sensors Struct Reference

Transfer switch sensors. More...

`import "TransferSwitch.idl";`

## Public Attributes
sensors::StateSensor | selectedSource
| Selected source sensor.
sensors::StateSensor | operationalState
| Operational state sensor (off, normal, standby)
sensors::NumericSensor | sourceVoltagePhaseSyncAngle
| Maximum phase difference between two sources.
sensors::StateSensor | overloadAlarm
| Overload alarm.
sensors::StateSensor | phaseSyncAlarm
| Source phases out of sync.
sensors::StateSensor | switchFault
| Switch fault (ok, open, short)
sensors::StateSensor | installFaultAlarm
| Install fault alarm.
sensors::StateSensor | outputStatus
| Output voltage status (ok, fault)
TransferSwitchBypassStateSensor | bypassState

## Detailed Description

Transfer switch sensors.

Definition at line 72 of file TransferSwitch.idl.

## Member Data Documentation

## ◆ bypassState

TransferSwitchBypassStateSensor pdumodel::TransferSwitch::Sensors::bypassState

Definition at line 82 of file TransferSwitch.idl.

## ◆ installFaultAlarm

sensors::StateSensor pdumodel::TransferSwitch::Sensors::installFaultAlarm

Install fault alarm.

Definition at line 80 of file TransferSwitch.idl.

## ◆ operationalState

sensors::StateSensor pdumodel::TransferSwitch::Sensors::operationalState

Operational state sensor (off, normal, standby)

Definition at line 74 of file TransferSwitch.idl.

## ◆ outputStatus

sensors::StateSensor pdumodel::TransferSwitch::Sensors::outputStatus

Output voltage status (ok, fault)

Definition at line 81 of file TransferSwitch.idl.

## ◆ overloadAlarm

sensors::StateSensor pdumodel::TransferSwitch::Sensors::overloadAlarm

Overload alarm.

Definition at line 77 of file TransferSwitch.idl.

## ◆ phaseSyncAlarm

sensors::StateSensor pdumodel::TransferSwitch::Sensors::phaseSyncAlarm

Source phases out of sync.

Definition at line 78 of file TransferSwitch.idl.

## ◆ selectedSource

sensors::StateSensor pdumodel::TransferSwitch::Sensors::selectedSource

Selected source sensor.

Definition at line 73 of file TransferSwitch.idl.

## ◆ sourceVoltagePhaseSyncAngle

sensors::NumericSensor pdumodel::TransferSwitch::Sensors::sourceVoltagePhaseSyncAngle

Maximum phase difference between two sources.

Definition at line 75 of file TransferSwitch.idl.

## ◆ switchFault

sensors::StateSensor pdumodel::TransferSwitch::Sensors::switchFault

Switch fault (ok, open, short)

Definition at line 79 of file TransferSwitch.idl.

The documentation for this struct was generated from the following file:

- TransferSwitch.idl